%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%@brief Rotates an object at position Pos around the X - Axis by Custom Angle in Degrees
% https://www.iriscores.com
% vojta.ters@iriscores.com
% 2019
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [ NewPos ] = RotateX( Pos,Angle )

R = deg2rad(Angle);
Matrix = [ 1,      0,       0; ...
           0, cos(R), sin(R); ...
           0, -sin(R), +cos(R)];

[Ny,Nx,Nz] = size(Pos);
NewPos = Pos;

if(Nz == 1)
    % Vector/Scalar Input
    for i = 1:Nx
       NewPos(:,i) = Matrix*Pos(:,i); 
    end
    %NewPos = Matrix*Pos;
else
    % Matrix with 3rd Dimension beeing Coordinates
    for i = 1:Nx
        for j = 1:Ny
            Point = Pos(j,i,:);
            Point = squeeze(Point);
            NewPos(j,i,:) = Matrix*Point; 
            
        end
    end
end


end

